Bug 997889 - VM filesystem read-only
VM filesystem read-only
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
3.3.2
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 07:49 EDT by zetheroo
Modified: 2014-12-14 14:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glusterfs logs (1.00 MB, application/x-gzip)
2013-08-16 07:49 EDT, zetheroo
no flags Details

  None (edit)
Description zetheroo 2013-08-16 07:49:53 EDT
Created attachment 787227 [details]
glusterfs logs

Description of problem:

If one out of two gluster hosts goes down, the filesystem's in the VM's still running on the host that is still up go into read-only mode. 

The only way to get them back to R/W mode is to get the failed brick back up and to reboot the VM's.

The attached logs are from our testbed environment which is exactly identical to our production setup.
Comment 1 Pranith Kumar K 2014-01-03 07:14:44 EST
I see quite a bit of logs with split-brain like below:
[2013-08-15 09:28:35.431034] E [afr-self-heal-common.c:2160:afr_self_heal_completion_cbk] 0-gluster-replicate-0: background  meta-data data self-heal failed on /images/eiswurf.qcow2
[2013-08-15 09:28:43.600072] E [afr-self-heal-data.c:764:afr_sh_data_fxattrop_fstat_done] 0-gluster-replicate-0: Unable to self-heal contents of '/images/eiswurf.qcow2' (possible split-brain). Please delete the file from all but the preferred subvolume.
[2013-08-15 09:28:43.600620] E [afr-self-heal-common.c:2160:afr_self_heal_completion_cbk] 0-gluster-replicate-0: background  meta-data data self-heal failed on /images/eiswurf.qcow2
[2013-08-15 09:29:33.497170] E [afr-self-heal-data.c:764:afr_sh_data_fxattrop_fstat_done] 0-gluster-replicate-0: Unable to self-heal contents of '/images/eiswurf.qcow2' (possible split-brain). Please delete the file from all but the preferred subvolume.

But you are saying only one of the brick is taken down and brought backup. I see a lot of permission denied errors on the bricks logs. What is the issue with permissions?
Comment 2 Niels de Vos 2014-11-27 09:54:32 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.